
Summary: Node (node.js) is an evented I/O framework for V8 javascript
Name: node
Version: 0.10.25
Release: 2.1
URL: http://nodejs.org
Source0: http://nodejs.org/dist/%{name}-v%{version}.tar.gz
Patch1: node-fix-broken-installer.patch
License: MIT
Group: Application/System
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: openssl-devel gcc gcc-c++ make automake 
%if %{rhel} < 6
BuildRequires: python26
%else
BuildRequires: python redhat-rpm-config
%endif
Requires: openssl

%description
Node (node.js) is an evented I/O framework for V8 javascript whose
goal is to provide an easy way to build scalable network programs.

%prep
%setup -n %{name}-v%{version}
#%if %{mocked} == 0
#%patch1
#%endif

%build
%if %{rhel} < 6
export PYTHON=$(which python26)
python26 ./configure --prefix=/usr --without-snapshot
%else
./configure --prefix=/usr --without-snapshot
%endif
%{__make} %{?_smp_mflags}

#%check
#%{__make} test

%install
test "%{buildroot}" != "/" && rm -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%clean
test "%{buildroot}" != "/" && rm -rf %{buildroot}

%post

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE README*
%doc doc
%{_bindir}/*
%{_includedir}/%{name}/*
/usr/lib/%{name}*
/usr/lib/dtrace/*
%{_mandir}/man1/%{name}*

%changelog
* Sun Feb 16 2014 Gavin Carr <gavin@openfusion.com.au> 0.10.25-1
- Update to version 0.10.25.

* Sun May 19 2013 Gavin Carr <gavin@openfusion.com.au> 0.10.7-1
- Update to version 0.10.7.

* Tue May 07 2013 Gavin Carr <gavin@openfusion.com.au> 0.10.5-1
- Update to version 0.10.5.

* Fri Apr 19 2013 Gavin Carr <gavin@openfusion.com.au> 0.10.4-1
- Update to version 0.10.4.

* Tue Apr 02 2013 Gavin Carr <gavin@openfusion.com.au> 0.10.2-1
- Update to version 0.10.2.

* Fri Jan 18 2013 Gavin Carr <gavin@openfusion.com.au> 0.8.17-1
- Update to version 0.8.17.

* Sat Nov 17 2012 Gavin Carr <gavin@openfusion.com.au> 0.8.14-1
- Update to version 0.8.14.

* Wed Aug 29 2012 Gavin Carr <gavin@openfusion.com.au> 0.8.8-1
- Update to version 0.8.8.

* Fri Jul 27 2012 Gavin Carr <gavin@openfusion.com.au> 0.8.4-1
- Update to version 0.8.4.

* Tue Jul 03 2012 Gavin Carr <gavin@openfusion.com.au> 0.8.1-1
- Update to version 0.8.1.

* Wed Feb 01 2012 Gavin Carr <gavin@openfusion.com.au> 0.6.9-1
- Update to version 0.6.9.

* Tue Feb 15 2011 Gavin Carr <gavin@openfusion.com.au> 0.4.0-1
- Update to 0.4.0.

* Sat Jan 22 2011 Gavin Carr <gavin@openfusion.com.au> 0.2.6-1
- Initial package, version 0.2.6.

